Create a calendar event
curl --request POST \
--url https://api.runtools.ai/v1/calendar/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {},
"end": {},
"attendees": [
{}
]
}
'import requests
url = "https://api.runtools.ai/v1/calendar/events"
payload = {
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {},
"end": {},
"attendees": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
summary: '<string>',
description: '<string>',
location: '<string>',
start: {},
end: {},
attendees: [{}]
})
};
fetch('https://api.runtools.ai/v1/calendar/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Calendar
Create a calendar event
POST
/
v1
/
calendar
/
events
Create a calendar event
Authorizations
bearerapiKey
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Body
application/json
Response
201
Created.
⌘I